Package org.eclipse.birt.report.model.api

# Class DynamicFilterParameterHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.ParameterHandle
org.eclipse.birt.report.model.api.AbstractScalarParameterHandleImpl
org.eclipse.birt.report.model.api.AbstractScalarParameterHandle
org.eclipse.birt.report.model.api.DynamicFilterParameterHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IAbstractScalarParameterModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IDynamicFilterParameterModel`, `org.eclipse.birt.report.model.elements.interfaces.IInternalAbstractScalarParameterModel`, `org.eclipse.birt.report.model.elements.interfaces.IParameterModel`

public class DynamicFilterParameterHandle extends AbstractScalarParameterHandle implements org.eclipse.birt.report.model.elements.interfaces.IDynamicFilterParameterModel
Represents the dynamic filter parameter types.

See Also:
  - `DynamicFilterParameter`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDynamicFilterParameterModel

`COLUMN_PROP, DSIPLAY_TYPE_PROP, FILTER_OPERATOR_PROP, NATIVE_DATA_TYPE_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IInternalAbstractScalarParameterModel

`CONTROL_TYPE_PROP, DATA_TYPE_PROP, DATASET_NAME_PROP, DEFAULT_VALUE_PROP, DISTINCT_PROP, IS_REQUIRED_PROP, LABEL_EXPR_PROP, LIST_LIMIT_PROP, SELECTION_LIST_PROP, SORT_BY_COLUMN_PROP, SORT_BY_PROP, SORT_DIRECTION_PROP, VALUE_EXPR_PROP, VALUE_TYPE_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IParameterModel

`HELP_TEXT_KEY_PROP, HELP_TEXT_PROP, HIDDEN_PROP, PROMPT_TEXT_ID_PROP, PROMPT_TEXT_PROP, VALIDATE_PROP`

## Constructor Summary

Constructors
Constructor
Description
`DynamicFilterParameterHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle for the DynamicFilterParameter with the given design and the parameter.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkRecursiveDataSet(DataSetHandle dataSetToCheck)`
Checks whether there is recursive reference if this dynamic filter parameter uses the given data set element handle as its "dataSet" property.
`String`
`getColumn()`
Gets the column value.
`String`
`getControlType()`
Returns the control type for this parameter.
`String`
`getDisplayType()`
Gets the display type for this parameter.
`List<String>`
`getFilterOperatorList()`
Returns the list containing filter operator.
`int`
`getNativeDataType()`
Gets the native data type of the dynamic parameter.
`void`
`setColumn(String column)`
Sets the column value.
`void`
`setControlType(String controlType)`
Sets the control type for this parameter.
`void`
`setDisplayType(String displayType)`
Sets the display type for this parameter.
`void`
`setFilterOperator(List<String> filterOperatorList)`
Sets the filter operator.
`void`
`setNativeDataType(int nativeDataType)`
Sets the native data type of the dynamic parameter.

### Methods inherited from class org.eclipse.birt.report.model.api.AbstractScalarParameterHandleImpl

`choiceIterator, distinct, getDataSet, getDataSetName, getDataType, getDefaultValueList, getLabelExpr, getListlimit, getSortBy, getSortByColumn, getSortDirection, getValueExpr, getValueType, isRequired, setDataSet, setDataSetName, setDataType, setDefaultValueList, setDistinct, setIsRequired, setLabelExpr, setListlimit, setSortBy, setSortByColumn, setSortDirection, setValueExpr, setValueType`

### Methods inherited from class org.eclipse.birt.report.model.api.ParameterHandle

`getDisplayPromptText, getHelpText, getHelpTextKey, getPromptText, getPromptTextID, getValidate, isHidden, setHelpText, setHelpTextKey, setHidden, setPromptText, setPromptTextID, setValidate`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicFilterParameterHandle

public DynamicFilterParameterHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle for the DynamicFilterParameter with the given design and the parameter.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### setDisplayType

public void setDisplayType(String displayType) throws SemanticException
Sets the display type for this parameter. The display type controls whether it is a simple filter or advanced filter. Types are defined in `DesignChoiceConstants` can be one of the followings:

- `DYNAMIC_FILTER_SIMPLE`
- `DYNAMIC_FILTER_ADVANCED`

Parameters:
  `displayType` -
Throws:
  `SemanticException`

### getDisplayType

public String getDisplayType()
Gets the display type for this parameter. The display type controls whether it is a simple filter or advanced filter. Types are defined in `DesignChoiceConstants` can be one of the followings:

- `DYNAMIC_FILTER_SIMPLE`
- `DYNAMIC_FILTER_ADVANCED`

Returns:
  the display value.

### setColumn

public void setColumn(String column) throws SemanticException
Sets the column value.

Parameters:
  `column` - the column value.
Throws:
  `SemanticException`

### getColumn

public String getColumn()
Gets the column value.

Returns:
  the column value.

### getFilterOperatorList

public List<String> getFilterOperatorList()
Returns the list containing filter operator.

Returns:
  the list containing filter operator.

### setFilterOperator

public void setFilterOperator(List<String> filterOperatorList) throws SemanticException
Sets the filter operator.

Parameters:
  `list` - the filter operator list.
Throws:
  `SemanticException`

### getNativeDataType

public int getNativeDataType()
Gets the native data type of the dynamic parameter.

Returns:
  the native data type of the dynamic parameter.

### setNativeDataType

public void setNativeDataType(int nativeDataType) throws SemanticException
Sets the native data type of the dynamic parameter.

Parameters:
  `nativeDataType` - the native data type to set
Throws:
  `SemanticException`

### getControlType

public String getControlType()
Returns the control type for this parameter. Control types are one of constants defined in `DesignChoiceConstants`:

- PARAM_CONTROL_TEXT_BOX
- PARAM_CONTROL_LIST_BOX

Returns:
  the control type of the dynamic filter parameter.

### setControlType

public void setControlType(String controlType) throws SemanticException
Sets the control type for this parameter. The value is defined in `DesignChoiceConstants` and can be one of:

- PARAM_CONTROL_TEXT_BOX
- PARAM_CONTROL_LIST_BOX

Parameters:
  `controlType` - the control type value.
Throws:
  `SemanticException`

### checkRecursiveDataSet

public boolean checkRecursiveDataSet(DataSetHandle dataSetToCheck)
Checks whether there is recursive reference if this dynamic filter parameter uses the given data set element handle as its "dataSet" property. True if recursive reference exists; otherwise false if no recursive reference exists.

Parameters:
  `dataSetToCheck` -
Returns:
  true if recursive reference exists otherwise false